Doomsday Engine - Bug #2426

Segfault on startup
2020-05-23 16:45 - igmar

Status: Rejected Start date:
Priority: Normal % Done:
Assignee: Deng Team

Category:

Target version:

2020-05-23
Description

$ rom -q doomsday
doomsday-2.2.2.3313-1.x86_64

$ gdb /usr/bin/doomsday

Using host libthread_db library "/lib64/libthread_db.so.1".
QSocketNotifier: Can only be used with threads started with QThread
[New Thread 0x7fffe3eb3700 (LWP 95597)]

[New Thread 0x7fffe36b2700 (LWP 95598)]

[New Thread 0x7fffe2eb0700 (LWP 95599)]

[New Thread 0x7fffe26af700 (LWP 95600)]

[New Thread 0x7fffe1bea700 (LWP 95601)]

[New Thread 0x7fffe13e9700 (LWP 95602)]

[New Thread 0x7fffcaabb700 (LWP 95603)]

[New Thread 0x7fffca2ba700 (LWP 95604)]

[New Thread 0x7fffc9ab9700 (LWP 95605)]

[New Thread 0x7fffc92b8700 (LWP 95606)]

Thread 1 "doomsday" received signal SIGSEGV, Segmentation fault.
0x00007ffff4fd5cf8 in _XGetRequest () from /usr/lib64/libX11.s0.6

gdb) bt

#0 0x00007ffff4fd5cf8 in _XGetRequest () at /usr/lib64/libX11.s0.6

#1 0x00007ffff4fc906f in XQueryExtension () at /usr/lib64/libX11.s0.6

2 0x00007ffff4fbcda? in XlnitExtension () at /usr/lib64/libX11.s0.6

#3 0x00007ffff4f856d1 in XextAddDisplay () at /usr/lib64/libXext.s0.6

#4 0x00007ffff4f63a50 in XRRFindDisplay.part.0 () at /usr/lib64/libXrandr.so.2
#5 0x00007ffff4f641d8 in XRRQueryExtension () at /usr/lib64/libXrandr.so.2
0x00007ffff728dceb in DisplayMode_Native_Init () at /usr/lib64/libdeng_gui.s0.2.2
0x00007ffff72385fc in DisplayMode_Init () at /usr/lib64/libdeng_gui.so0.2.2
0x000000000058¢fef in ClientApp::initialize() ()

0x000000000055949d in main ()
History

#1 - 2020-05-23 16:46 - igmar

igmar wrote:

OS : FC32 x64

#2 - 2020-06-10 09:08 - thesourcehim

| use my own builds from git under FC32 x64 and they currently work fine.
Could you try this rpm (ignore strange build number, it's actually number of commits in git):
https://yadi.sk/d/52Sd9DAa-xX89A

#3 - 2020-06-12 17:48 - igmar
thesourcehim wrote:
| use my own builds from git under FC32 x64 and they currently work fine.

Could you try this rpm (ignore strange build number, it's actually number of commits in git):
https://yadi.sk/d/52Sd9DAa-xX89A
This one also segfaults for me. Same stacktrace.

#4 - 2021-01-08 13:47 - skyjake

- Status changed from New to Rejected
- Priority changed from High to Normal
- Target version deleted (2.3.x)

Judging by the stack trace, this looks very much like a XRanR/X11 video driver problem. Seems unrelated to Doomsday
